Download it now!
Bug 132939 - Calc: Crash for uninitialized FilterDescriptor in macro
Summary: Calc: Crash for uninitialized FilterDescriptor in macro
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2020-05-11 08:51 UTC by Kamil Landa
Modified: 2020-05-19 19:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (13.13 KB, text/plain)
2020-05-11 10:57 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamil Landa 2020-05-11 08:51:55 UTC
Run this simple macro from Calc and Libre will crash

Sub crashFilter
	dim oRange, oFilter
	oRange=thisComponent.sheets(0).getCellRangeByName("A1:A10")
	'oFilter=oRange.createFilterDescriptor(true) 'uncomment this line and it will be OK
	oRange.filter(oFilter)
End Sub

Verze: 6.4.4.1 (x64)
ID sestavení: b50bc319eca5cd5b66fbfe2ebd0d3bd1eed099b5
Vlákna CPU: 8; OS: Windows 10.0 Build 17763; Vykreslování UI: výchozí; VCL: win; 
Národní prostředí: cs-CZ (cs_CZ); Jazyk UI: cs-CZ
Calc: threaded

Bug is also in:
Version: 7.0.0.0.alpha1 (x64)
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
Vlákna CPU: 8; OS: Windows 10.0 Build 17763; Vykreslování UI: Skia/Vulkan; VCL: win; 
Locale: cs-CZ (cs_CZ); UI: cs-CZ
Calc: threaded
Comment 1 BogdanB 2020-05-11 09:01:08 UTC
Confirm it on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: Skia/Raster; VCL: x11; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-05-11 09:02:04 UTC
Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Xisco Faulí 2020-05-11 09:05:11 UTC
Also reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 4 Xisco Faulí 2020-05-11 09:06:45 UTC
Also reproduced in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Julien Nabet 2020-05-11 10:57:04 UTC
Created attachment 160656 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today + enable-dbgutil, I had an assert.
Comment 6 Julien Nabet 2020-05-11 11:05:03 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/93959
Comment 7 Commit Notification 2020-05-12 08:23:35 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3466488ef22752c8f6f47f7b8f1dac5cc0cb27a2

tdf#132939: avoid crash when uninitialized FilterDescriptor

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2020-05-12 08:24:58 UTC
Backport for 6.4 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/93989
Comment 9 Commit Notification 2020-05-12 17:55:51 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/71c9aea35edcb82cbd27c50ae4fcd01e4a72b81d

tdf#132939: avoid crash when uninitialized FilterDescriptor

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-05-19 19:53:21 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue!